//! # rustic_mcts
//!
//! An extensible implementation of Monte Carlo Tree Search (MCTS) using arena allocation and
//! configurable policies.

pub mod config;
pub mod mcts;
pub mod policy;
pub mod state;
pub mod tree;

pub use config::MCTSConfig;
pub use mcts::MCTS;
pub use state::Action;
pub use state::GameState;
pub use state::Player;
pub use tree::node::RewardVal;
